Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Le Forum Windows Server 2008

Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar IBACK » 01 Aoû 2012, 14:21

Bonjour à toutes et à tous,

Je souhaite upgrader mon serveur WS2003 R2 standard Edition vers WS2008 R2 standard Edition.

Actuellement sur mon serveur (WS2003) j'ai un WAMP installé ("vieille" version) avec un driver PHP pour SQL SERVER 2005 (mssql) et SQL SERVER 2005.

Ce driver est assez "vieux" et a été remplacé depuis - ok.

Mais il est impératif que je le garde pour garantir la compatibilité avec les sources PHP existants (ce qui m'obligerait à remplacer les anciennes API par les nouvelles :stars:).

Si je upgrade mon WS2003 vers WS2008, puis-je être sur que mon driver PHP pour SQL SERVER sera toujours compatible avec WS2008 ?

merci par avance.
IBACK
 
Messages: 3
Inscrit le: 01 Aoû 2012, 14:19

Re: Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar LeLapinFou » 01 Aoû 2012, 15:38

Bonjour,

Je vais faire simple : SQL 2005 n'est pas compatible avec WS2008R2.
Avatar de l’utilisateur
LeLapinFou
Modérateur
 
Messages: 9511
Inscrit le: 09 Déc 2002, 10:25
Localisation: 0001 Processeur Ville

Re: Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar IBACK » 01 Aoû 2012, 15:48

je ne suis pas tout à fait d'accord.

j'ai un serveur Windows Server 2008 R2 avec un SQL Server 2005 (SP4) + Driver PHP pour SQL SERVER (récent) et tout marche bien !

je peux vous l'assurer.

Par contre, je ne sais pas si un ancien Driver PHP pour SQL Server 2005 (mssql) peut fonctionner sur WS2008 ?
IBACK
 
Messages: 3
Inscrit le: 01 Aoû 2012, 14:19

Re: Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar LeLapinFou » 01 Aoû 2012, 15:53

C'est bon a savoir que le SP4 rend compatible SQL2005 avec un WS2008R2. Merci pour l'info.
Je n'avais essayé qu'avec mon SQL 2008, et lui, il lui faut le SP2 pour être compatabile avec la version R2 du serveur 2008, le serveur 2008 de base fonctionne très bien avec SQL2008 SP0.

Quand a votre problématique, ne connaissant pas le drivers PHP que vous utilisez, je dirais que monter un serveur en VMWare et tester, vous en avez pour 1/2 journée.
Mais je suis assez optimiste quand a la compatibilité de PHP avec n'importe quelle mouture de SQL, de plus si votre SQL2005 fonctionne sur un WS2008R2.
Avatar de l’utilisateur
LeLapinFou
Modérateur
 
Messages: 9511
Inscrit le: 09 Déc 2002, 10:25
Localisation: 0001 Processeur Ville

Re: Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar IBACK » 01 Aoû 2012, 15:55

j'utilise le driver mssql.dll.

PHP 5.2.5
WAMP 5
IBACK
 
Messages: 3
Inscrit le: 01 Aoû 2012, 14:19

Re: Windows Server 2008 et Compatibilité Driver PHP Pour SQL SERVER

Messagepar LeLapinFou » 01 Aoû 2012, 16:43

Je n'ai rien trouvé de probant sur le net avec les versions citées.
Mais j'en reviens a ce que je disais, monter un test en VM, cela ne prend qu'une 1/2 journée.
J'utilise des VM pour beaucoup de chose, et entre autre pour faire des tests de compatibilité, et en plus, c'est gratis...(La vm, pas l'OS ni SQL..) ;)
Avatar de l’utilisateur
LeLapinFou
Modérateur
 
Messages: 9511
Inscrit le: 09 Déc 2002, 10:25
Localisation: 0001 Processeur Ville


Retour vers Windows Server 2008

Qui est en ligne ?

Utilisateurs parcourant actuellement ce forum : Aucun utilisateur inscrit et 1 invité

  •  Liens commerciaux